package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 教师团队查询结果
 * @Author: CaoZixuan
 * @Date: 2023-03-17
 */
public class TeacherTeamResult {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教师团队id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "基础课程id")
    private Long basicCourseId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教师id")
    private Long userId;

    @ApiModelProperty(value = "教师名")
    private String userName;

    @ApiModelProperty(value = "教师编号")
    private String userCode;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBasicCourseId() {
        return basicCourseId;
    }

    public void setBasicCourseId(Long basicCourseId) {
        this.basicCourseId = basicCourseId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
